<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML xmlns="http://www.w3.org/TR/REC-html40">
<HEAD>
<TITLE>fwFSMConfDB/fwFSMConfDB.pnl panel</TITLE>
<META http-equiv=Content-Type content="text/html; charset=utf-8">
<LINK rel="StyleSheet" HREF="style.css" TYPE="text/css" MEDIA="screen,print">

</HEAD>
<BODY>
<TABLE width="95%" border=1>
  <TBODY>
  <TR vAlign=top>
    <TD width="22%" bgColor=#00cc00><STRONG>Panel Name</STRONG></TD>
    <TD width="78%" colSpan=2>
      <P>fwFSMConfDB/fwFSMConfDB.pnl</P>
    </TD>
  </TR>

  <TR vAlign=top>
    <TD bgColor=#00cc00><STRONG>Introduction<BR></STRONG></TD>
    <td colSpan=2>
        <p> This is the FSMConfDB main panel. The panel allows you to add, change
        or delete configurators for a certain control unit or for a full tree.</p>
		<div class="figure">
            <table align="center">
            <tr> <td colspan="4"><img align="middle" src="fwFSMConfDB.jpg"/></td></tr>
            </table> 
      </div>
  </TR>
  <TR vAlign=top>
    <TD bgColor=#00cc00><STRONG>Instructions</STRONG></TD>
    <TD colSpan=2>

    <dl>
       <dt> Select a tree or a sub-tree to see the list of all the control
         units belonging to it.</dt>
       <dt>You can manage each configurator individually by selecting its correspondent
         control unit and right click to see the cascade options. You can also
         create all configurators at once by selecting the tree and clicking
         on Add ALL configurators.</dt>
       <dt>   
	   <dt>&nbsp;</dt>
      <dd><b>Add/Change a configurator:</b></dd>
      <dd>This option allows you to add or change the parameters of a specific
        configurator. Selecting the option will bring you to the <a href="fwFSMConfDB_addConfigurator.htm">
             addConfigurator panel</a>.
           Follow the instruction given  in the help for this panel.</dd>
	   <dt>&nbsp;</dt>
      <dd><b>Delete a configurator:</b></dd>
      <dd>Select the control unit of the configurator you want to delete from
          the list and right click on it. A popup window will ask you to confirm
        this operation.</dd>
	  <dt>&nbsp;</dt>
	  <dd><b>User Recipes:</b></dd>
	  <dd>This option allows the user to add specific recipes not linked to commands
	     in the list of recipes to be handled by the configurator. Selecting
	    the option will bring you to the userRecipes panel.</dd>
	  <dt>&nbsp;</dt>
      <dd><b>Add all configurators:</b></dd>
      <dd>Depending on the mode of operation that you want to use, select the
               check button &quot;apply recipes&quot;. In that mode you can choose
               what is the timeout for all your configurators. This option will
               create all the
               configurators with the same parameters: apply recipe and timeout,
               if you want to use different parameters for your configurators
               use the add
          configurator option.</dd>
      </dl>
    <dt><b>Advanced settings</b></dt>
    <dt>Button to open the <a href="fwFSMConfDB_advancedSettings.htm">
             Advanced settings panel</a>. In this panel you can modify the behavior of the configurator when recipes are loaded.</dt>
    </TR>

  <TR vAlign=top>
    <TD bgColor=#00cc00><STRONG>Restrictions</STRONG></TD>
    <TD colSpan=2>
    </TD>
  </TR>
</TBODY>
</TABLE>

<br/>


<TABLE width="95%" border=1>
  <TBODY>
  <TR bgColor=#00cc00>
    <TD colSpan=3><STRONG>Dollar Parameters</STRONG></TD></TR>
  <TR bgColor=#00cc00>
    <TD width="23%"><STRONG>Name</STRONG></TD>
    <TD width="62%"><STRONG>Description</STRONG></TD>
    <TD width="15%">&nbsp;</TD></TR>
 </TBODY>
</TABLE>

<BR/>

  <TABLE width="95%" border=1>
    <tr>
    <TR bgColor=#00cc00>
        <TD colSpan=3><STRONG>Global Variables</STRONG></TD>
    </TR>
      <TR bgColor=#00cc00>
        <TD width="30%"><STRONG>Name</STRONG></TD>
        <TD width="10%"><STRONG>Type</STRONG></TD>
        <TD width="60%"><STRONG>Description</STRONG></TD>
      </tr>
</TABLE>

<hr>
<font size="-1">Last update: Francisca Calheiros, 18th January 2008</font>
</BODY>

</HTML>
